// Задания

// Постановки задач
var SetTasks = new Array(
'Что нельзя делать:',
'Что нельзя делать:',
'Что нельзя делать:',
'Что нужно делать:',
'Что нужно делать:'
                     );

// Варианты
var Variants = new Array(
  new Array( 
'смеяться',
'трогать провода',
'пить молоко за компьютером'
           ),

  new Array( 
'трогать мышь',
'трогать экран',
'трогать клавиатуру'
           ),

  new Array( 
'кушать за компьютером',
'трогать курсор',
'зевать'
           ),

  new Array( 
'мягко нажимать на клавиши',
'перед работой поспать',
'почистить зубы перед работой'
           ),

  new Array( 
'вымыть руки перед работой',
'барабанить по клавишам',
'пить чай на клавиатуре'
           )
                        );


// Ответы
var Answers =  new Array(
  new Array( 
false,  
true,   
true   
           ),
  new Array( 
false,  
true,   
false   
           ),

  new Array( 
true,   
true,   
false   
           ),

  new Array( 
true,   
false,  
false  
           ),

  new Array( 
true,   
false,  
false   
           )

               );


//-----------------------------
// Построение зачетного класса
//-----------------------------
function ShowZRU(teach)
{
  var i;
  var str = '<P>Нажмите кнопку <SPAN class=mark>Сброс</SPAN>, затем приступайте к решению.';
  str += '<P><FORM name=exam><P><IMG src=./pic/clear.gif';
  str += ' width=113 height=41 border=0 alt=Сброс';
  str += ' onmouseup   ="room.Ini()"';
  str += ' onmousedown ="this.src=\'./pic/clear2.gif\'"';
  str += ' onmouseover ="this.src=\'./pic/clear1.gif\'"';
  str += ' onmouseout  ="this.src=\'./pic/clear.gif\'">';

  // Построение заданий
  // Флажки
  for (i=0; i<SetTasks.length; i++)
    str += ZFlagRU(teach, i, SetTasks[i], Variants[i], Answers[i]);

  str +='<P>Чтобы увидеть результат работы, нажмите кнопку <SPAN class=mark>Оценка</SPAN>.';
  str +='<P><IMG src=./pic/bonus.gif width=113 height=41';
  str +=' border=0 alt=Оценка';
  str +=' onmouseup   ="room.Bonus()"';
  str +=' onmousedown ="this.src=\'./pic/bonus2.gif\'"';
  str +=' onmouseover ="this.src=\'./pic/bonus1.gif\'"';
  str +=' onmouseout  ="this.src=\'./pic/bonus.gif\'">';
  str +='</FORM>';

  document.write(str);
  room = new CheckTasks(SetTasks.length, document.forms["exam"]);
}
// JavaScript Document
